## krusader-trinity 14.2.0~pre110

=== CMakeLists.txt ===
############################################
#                                          #
#  Improvements and feedbacks are welcome  #
#                                          #
#  This file is released under GPL >= 3    #
#                                          #
############################################


##### set project version ########################

include( TDEVersion )
cmake_minimum_required( VERSION ${TDE_CMAKE_MINIMUM_VERSION} )
tde_set_project_version( )


#### general package setup

project( krusader )
set( PACKAGE krusader )
set( PACKAGE_VERSION 1.90.0 )


#### include essential cmake modules

include( FindPkgConfig          )
include( CheckSymbolExists      )
include( CheckIncludeFile       )
include( CheckIncludeFileCXX    )
include( CheckIncludeFiles      )
include( CheckLibraryExists     )
include( CheckCSourceCompiles   )
include( CheckCXXSourceCompiles )


#### include our cmake modules

include( TDEMacros )


##### setup install paths

include( TDESetupPaths )
tde_setup_paths( )


##### optional stuff

option( WITH_ALL_OPTIONS    "Enable all optional support" ON )
option( WITH_JAVASCRIPT     "Enable JavaScript support" OFF )
option( WITH_KONQUEROR      "Enable Konqueror's servicemenus support" ${WITH_ALL_OPTIONS} )
option( WITH_ACL            "Enable ACL support" ${WITH_ALL_OPTIONS} )

option( WITH_GCC_VISIBILITY "Enable fvisibility and fvisibility-inlines-hidden" ${WITH_ALL_OPTIONS} )


##### user requested modules

option( BUILD_ALL          "Build all"                 ON           )
option( BUILD_DOC          "Build documentation"       ${BUILD_ALL} )
option( BUILD_TRANSLATIONS "Build translations"        ${BUILD_ALL} )

option( BUILD_TAR          "Build own tar tdeio-slave" OFF )


##### configure checks

include( ConfigureChecks.cmake )


###### global compiler settings

add_definitions( -DHAVE_CONFIG_H )

set( CMAKE_CXX_FLAGS "${CMAKE_CXX_FLAGS} ${TQT_CXX_FLAGS}" )
set( CMAKE_SHARED_LINKER_FLAGS "${CMAKE_SHARED_LINKER_FLAGS} -Wl,--no-undefined" )
set( CMAKE_MODULE_LINKER_FLAGS "${CMAKE_MODULE_LINKER_FLAGS} -Wl,--no-undefined" )


##### directories

add_subdirectory( pics )
add_subdirectory( src )


##### other data ################################

tde_conditional_add_project_docs( BUILD_DOC )
tde_conditional_add_project_translations( BUILD_TRANSLATIONS )


##### write configure files

configure_file( config.h.cmake config.h @ONLY )

=== src/CMakeLists.txt ===
include_directories(
  ${TQT_INCLUDE_DIRS}
  ${TDE_INCLUDE_DIR}
  ${CMAKE_BINARY_DIR}
)


link_directories(
  ${TQT_LIBRARY_DIRS}
  ${TDE_LIB_DIR}
)


##### subfolders

add_subdirectory( app )
add_subdirectory( krArc )
add_subdirectory( tdeconf_update )
add_subdirectory( virt )
tde_conditional_add_subdirectory( BUILD_TAR tar )

=== src/tdeconf_update/CMakeLists.txt ===
##### update files

install(
  FILES krusader_tqt_selection.upd
  DESTINATION ${DATA_INSTALL_DIR}/tdeconf_update
)

=== src/app/BookMan/CMakeLists.txt ===
include_directories(
  ${CMAKE_CURRENT_SOURCE_DIR}
  ${CMAKE_CURRENT_BINARY_DIR}
)


##### BookMan library (static)

tde_add_library( BookMan STATIC_PIC AUTOMOC
  SOURCES krbookmark.cpp krbookmarkbutton.cpp krbookmarkhandler.cpp kraddbookmarkdlg.cpp
)

=== src/app/Dialogs/CMakeLists.txt ===
include_directories(
  ${CMAKE_CURRENT_SOURCE_DIR}
  ${CMAKE_CURRENT_BINARY_DIR}
)


##### Dialogs library (static)

tde_add_library( Dialogs STATIC_PIC AUTOMOC
  SOURCES
    krsqueezedtextlabel.cpp krprogress.cpp packgui.cpp packguibase.cpp newftpgui.cpp
    krspwidgets.cpp krspecialwidgets.cpp krpleasewait.cpp krmaskchoice.cpp krdialogs.cpp
    kurllistrequester.cpp popularurls.cpp checksumdlg.cpp percentalsplitter.cpp krkeydialog.cpp
)

=== src/app/DiskUsage/CMakeLists.txt ===
add_subdirectory( filelightParts )
add_subdirectory( radialMap )


include_directories(
  ${CMAKE_CURRENT_SOURCE_DIR}
  ${CMAKE_CURRENT_BINARY_DIR}
)


##### DiskUsage library (static)

tde_add_library( DiskUsage STATIC_PIC AUTOMOC
  SOURCES diskusagegui.cpp diskusage.cpp dulistview.cpp dulines.cpp dufilelight.cpp
)

=== src/app/GUI/CMakeLists.txt ===
include_directories(
  ${CMAKE_CURRENT_SOURCE_DIR}
  ${CMAKE_CURRENT_BINARY_DIR}
)


##### GUI library (static)

tde_add_library( GUI STATIC_PIC AUTOMOC
  SOURCES
    dirhistoryqueue.cpp dirhistorybutton.cpp krusaderstatus.cpp kfnkeys.cpp
    kcmdline.cpp syncbrowsebutton.cpp profilemanager.cpp krremoteencodingmenu.cpp
    mediabutton.cpp kcmdmodebutton.cpp
)

=== src/app/MountMan/CMakeLists.txt ===
include_directories(
  ${CMAKE_CURRENT_SOURCE_DIR}
  ${CMAKE_CURRENT_BINARY_DIR}
)


##### MountMan library (static)

tde_add_library( MountMan STATIC_PIC AUTOMOC
  SOURCES kmountmangui.cpp kmountman.cpp kdiskfreesp.cpp
)

=== src/app/Panel/CMakeLists.txt ===
include_directories(
  ${CMAKE_CURRENT_SOURCE_DIR}
  ${CMAKE_CURRENT_BINARY_DIR}
)


##### Panel library (static)

if( HAVE_LIBKONQ )
  add_definitions( -D__LIBKONQ__ )
endif( )

tde_add_library( Panel STATIC_PIC AUTOMOC
  SOURCES
    krcolorcache.cpp krcalcspacedialog.cpp krpopupmenu.cpp krpreviewpopup.cpp krview.cpp
    krviewitem.cpp krdetailedviewitem.cpp krdetailedview.cpp panelfunc.cpp listpanel.cpp
    panelpopup.cpp krdrag.cpp krselectionmode.cpp krbriefview.cpp krbriefviewitem.cpp
)

=== src/app/Search/CMakeLists.txt ===
include_directories(
  ${CMAKE_CURRENT_SOURCE_DIR}
  ${CMAKE_CURRENT_BINARY_DIR}
)


##### Search library (static)

tde_add_library( Search STATIC_PIC AUTOMOC
  SOURCES krsearchmod.cpp krsearchdialog.cpp
)

=== src/app/Splitter/CMakeLists.txt ===
include_directories(
  ${CMAKE_CURRENT_SOURCE_DIR}
  ${CMAKE_CURRENT_BINARY_DIR}
)


##### Splitter library (static)

tde_add_library( Splitter STATIC_PIC AUTOMOC
  SOURCES crc32.cpp splittergui.cpp splitter.cpp combiner.cpp 
)

=== src/app/UserAction/CMakeLists.txt ===
include_directories(
  ${CMAKE_CURRENT_SOURCE_DIR}
  ${CMAKE_CURRENT_BINARY_DIR}
)


##### UserAction library (static)

if( HAVE_JAVASCRIPT )
  add_definitions( -D__KJSEMBED__ )
endif( )

tde_add_library( UserAction STATIC_PIC AUTOMOC
  SOURCES useraction.cpp kraction.cpp expander.cpp useractionpopupmenu.cpp kractionbase.cpp
)

=== debian/changelog ===
krusader-trinity (4:14.2.0~pre110-0raspbian13.0.0+9) raspbian-trixie; urgency=low

  * Automated git build for e3ad061dcc2bae4fca9b225fdd3109edf0210681
  * https://wiki.trinitydesktop.org/Changelog_For_R14.2.0#krusader

 -- Slávek Banko <slavek.banko@axis.cz>  Sun, 30 Nov 2025 12:43:58 +0100

=== debian/control ===
Source: krusader-trinity
Section: tde
Priority: optional
Maintainer: TDE Debian Team <team-debian@trinitydesktop.org>
Uploaders: Fathi Boudra <fabo@debian.org>, Mark Purcell <msp@debian.org>
Build-Depends: tde-cdbs, debhelper (>= 10~), quilt, tde-cmake, ninja-build, tdebase-trinity-dev, libkonq4-trinity-dev, libacl1-dev
Standards-Version: 3.8.4
Homepage: http://krusader.sourceforge.net

Package: krusader-trinity
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}
Replaces: krusader-trinity (<< 4:14.0.0~)
Breaks: krusader-trinity (<< 4:14.0.0~)
Suggests: md5deep | cfv, kedit-trinity, khexedit-trinity, konsole-trinity, kmail-trinity,
 krename-trinity, kdiff3-trinity | kompare-trinity | xxdiff, ark-trinity, arj, bzip2, cpio, lha,
 unrar | unrar-free | rar, rpm, unace, unzip, zip, p7zip, tdebase-trinity-bin,
 tdebase-tdeio-plugins-trinity
Description: twin-panel (commander-style) file manager for TDE (and other desktops)
 Krusader is a simple, easy, powerful, twin-panel (commander-style) file
 manager for TDE and other desktops, similar to Midnight Commander (C) or Total
 Commander (C).
 .
 It provides all the file management features you could possibly want.
 .
 Plus: extensive archive handling, mounted filesystem support, FTP,
 advanced search module, viewer/editor, directory synchronisation,
 file content comparisons, powerful batch renaming and much much more.
 .
 It supports archive formats: ace, arj, bzip2, deb, iso, lha, rar, rpm, tar,
 zip and 7-zip.
 .
 It handles KIOSlaves such as smb:// or fish://.
 .
 Almost completely customizable, Krusader is very user friendly, fast and looks
 great on your desktop.

## krusader-trinity 14.2.0~pre112

=== debian/changelog ===
krusader-trinity (4:14.2.0~pre112-0ubuntu26.04.0+9~a) resolute; urgency=low

  * Automated git build for 0d12727c950947bb816c00a43c30e05000b83e81
  * https://wiki.trinitydesktop.org/Changelog_For_R14.2.0#krusader

 -- Slávek Banko <slavek.banko@axis.cz>  Tue, 16 Dec 2025 11:14:36 +0100

## krusader-trinity 14.2.0~pre114

=== CMakeLists.txt ===
--- 
+++ 
@@ -60,8 +60,6 @@
 option( BUILD_DOC          "Build documentation"       ${BUILD_ALL} )
 option( BUILD_TRANSLATIONS "Build translations"        ${BUILD_ALL} )
 
-option( BUILD_TAR          "Build own tar tdeio-slave" OFF )
-
 
 ##### configure checks

=== src/app/Locate/CMakeLists.txt ===
include_directories(
  ${CMAKE_CURRENT_SOURCE_DIR}
  ${CMAKE_CURRENT_BINARY_DIR}
)


##### Locate library (static)

tde_add_library( Locate STATIC_PIC AUTOMOC
  SOURCES locate.cpp 
)

=== debian/changelog ===
krusader-trinity (4:14.2.0~pre114-0ubuntu25.10.0+9) questing; urgency=low

  * Automated git build for 390ce2034f788c7da18deb4f4f79dde3ca857670
  * https://wiki.trinitydesktop.org/Changelog_For_R14.2.0#krusader

 -- Slávek Banko <slavek.banko@axis.cz>  Sun, 04 Jan 2026 13:00:12 +0100

## krusader-trinity 14.2.0~pre116

=== debian/changelog ===
krusader-trinity (4:14.2.0~pre116-0ubuntu26.04.0+9~a) resolute; urgency=low

  * Automated git build for 6e5fd8518d9abc9883d5c5c58bf8060856b5ee1d
  * https://wiki.trinitydesktop.org/Changelog_For_R14.2.0#krusader

 -- Slávek Banko <slavek.banko@axis.cz>  Sun, 11 Jan 2026 15:51:47 +0100

## krusader-trinity 14.2.0~pre118

=== debian/changelog ===
krusader-trinity (4:14.2.0~pre118-0ubuntu25.10.0+9) questing; urgency=low

  * Automated git build for 5999db216863a43e3e2ede6371d3956d011b340c
  * https://wiki.trinitydesktop.org/Changelog_For_R14.2.0#krusader

 -- Slávek Banko <slavek.banko@axis.cz>  Sat, 17 Jan 2026 16:15:58 +0100

## krusader-trinity 14.2.0~pre119

=== src/CMakeLists.txt ===
--- 
+++ 
@@ -17,4 +17,3 @@
 add_subdirectory( krArc )
 add_subdirectory( tdeconf_update )
 add_subdirectory( virt )
-tde_conditional_add_subdirectory( BUILD_TAR tar )

=== src/app/Filter/CMakeLists.txt ===
include_directories(
  ${CMAKE_CURRENT_SOURCE_DIR}
  ${CMAKE_CURRENT_BINARY_DIR}
)


##### Filter library (static)

tde_add_library( Filter STATIC_PIC AUTOMOC
  SOURCES advancedfilter.cpp generalfilter.cpp filtertabs.cpp filterdialog.cpp
)

=== src/app/RemoteMan/CMakeLists.txt ===
include_directories(
  ${CMAKE_CURRENT_SOURCE_DIR}
  ${CMAKE_CURRENT_BINARY_DIR}
)


##### RemoteMan library (static)

tde_add_library( RemoteMan STATIC_PIC AUTOMOC
  SOURCES remoteman.cpp remotemanbase.cpp 
)

=== debian/changelog ===
krusader-trinity (4:14.2.0~pre119-0ubuntu20.04.0+9) focal; urgency=low

  * Automated git build for 9477929d405e6ad070ae8f0affc524c36d2a06ef
  * https://wiki.trinitydesktop.org/Changelog_For_R14.2.0#krusader

 -- Slávek Banko <slavek.banko@axis.cz>  Thu, 29 Jan 2026 16:08:29 +0100

=== debian/control ===
--- 
+++ 
@@ -10,8 +10,8 @@
 Package: krusader-trinity
 Architecture: any
 Depends: ${shlibs:Depends}, ${misc:Depends}
-Replaces: krusader-trinity (<< 4:14.0.0~)
-Breaks: krusader-trinity (<< 4:14.0.0~)
+Replaces: krusader-kde3 (<< 4:14.0.0~), krusader-trinity (<< 4:14.0.0~)
+Breaks: krusader-kde3 (<< 4:14.0.0~), krusader-trinity (<< 4:14.0.0~)
 Suggests: md5deep | cfv, kedit-trinity, khexedit-trinity, konsole-trinity, kmail-trinity,
  krename-trinity, kdiff3-trinity | kompare-trinity | xxdiff, ark-trinity, arj, bzip2, cpio, lha,
  unrar | unrar-free | rar, rpm, unace, unzip, zip, p7zip, tdebase-trinity-bin,
